# $Revision: 1.36 $, $Date: 2002/10/09 18:33:33 $
Summary:	Blade's MP3 Encoder
Summary(pl):	Encoder MP3 Blade'a
Name:		bladeenc
Version:	0.94.2
Release:	3
Epoch:		1
License:	GPL
Vendor:		Tord Jansson <tord.jansson@swipnet.se>
Group:		Applications/Sound
Source0:	http://bladeenc.mp3.no/source/%{name}-%{version}-src-stable.tar.gz
URL:		http://bladeenc.mp3.no/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	BladeEnc

%description
BladeEnc is a program to generate MP3 files from WAV or AIFF sound
files.

%description -l pl
BladeEnc jest programem sucym do generowania plikw MP3 z plikw
dwikowych w formacie WAV lub AIFF.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bladeenc.spec,v $
Revision 1.36  2002/10/09 18:33:33  kloczek
- release 3.

Revision 1.35  2002/09/18 06:51:20  grzegol
- more macros
- new %%doc

Revision 1.34  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/04/25 15:53:50  arturs
fixed a small typo

Revision 1.32  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/10/11 04:48:50  kloczek
- release 2.

Revision 1.28  2001/10/10 14:57:29  qboosh
- BuildRequires: autoconf, automake

Revision 1.27  2001/08/09 03:25:15  agaran
added aclocal/autoconf in %build

Revision 1.26  2001/05/09 00:46:01  kloczek
- updated to 0.94.2.

Revision 1.25  2001/04/26 02:20:34  kloczek
- updated to 0.94.1.

Revision 1.24  2001/01/22 23:41:02  kloczek
- updated to 0.93.10.

Revision 1.23  2001/01/10 20:02:06  kloczek
- updated to 0.92.6.

Revision 1.22  2000/10/10 21:16:38  kloczek
- release 2: use new rpm automation suit.

Revision 1.21  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.17  2000/02/28 07:22:40  kloczek
- updated to 0.92.0,
- spec adapterized,
- License: GPL.

Revision 1.16  2000/01/21 00:46:07  kloczek
- release 2,
- fixed typo on passing LDFLAGS (now produced binaries are stripped).

Revision 1.15  2000/01/05 20:34:34  wiget
- Epoch: 1 (allow upgrade from 082)

Revision 1.14  2000/01/05 02:43:46  wiget
0.91

Revision 1.13  1999/11/21 11:54:32  kloczek
- updated URL and Source url.

Revision 1.12  1999/11/21 11:50:27  kloczek
- Copyright changedt to GPL,
- added bladeenc.html to %doc.

Revision 1.11  1999/11/20 09:38:37  alchemyx
- fixed Source and Url
- changed Name(pl)
- upgraded to the next release

Revision 1.10  1999/11/15 20:53:30  baggins
- updated to 082

Revision 1.9  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [081-1]
- rewrited: current version is avalaible in source code.
- changed package name to bladeenc (Obsoletes: BladeEnc),
- copyrihgt statment changed to GPL.

* Sat Jan 02 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [076-1]
- initial RPM release
